Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.78.192.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
240.78.192.0
Broadcast address
240.78.223.255
First usable
240.78.192.1
Last usable
240.78.223.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F04EC000 · Integer 4031692800 to 4031700991
Reverse DNS zones
192.78.240.in-addr.arpa
193.78.240.in-addr.arpa
194.78.240.in-addr.arpa
195.78.240.in-addr.arpa
196.78.240.in-addr.arpa
197.78.240.in-addr.arpa
198.78.240.in-addr.arpa
199.78.240.in-addr.arpa
200.78.240.in-addr.arpa
201.78.240.in-addr.arpa
202.78.240.in-addr.arpa
203.78.240.in-addr.arpa
204.78.240.in-addr.arpa
205.78.240.in-addr.arpa
206.78.240.in-addr.arpa
207.78.240.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.01001110.11000000.00000000240.78.192.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11110000.01001110.11000000.00000000240.78.192.0
Broadcast11110000.01001110.11011111.11111111240.78.223.255
Split into smaller subnets/26

240.78.192.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.78.192.0/26240.78.192.1 to 240.78.192.62240.78.192.6362
2240.78.192.64/26240.78.192.65 to 240.78.192.126240.78.192.12762
3240.78.192.128/26240.78.192.129 to 240.78.192.190240.78.192.19162
4240.78.192.192/26240.78.192.193 to 240.78.192.254240.78.192.25562
5240.78.193.0/26240.78.193.1 to 240.78.193.62240.78.193.6362
6240.78.193.64/26240.78.193.65 to 240.78.193.126240.78.193.12762
7240.78.193.128/26240.78.193.129 to 240.78.193.190240.78.193.19162
8240.78.193.192/26240.78.193.193 to 240.78.193.254240.78.193.25562
9240.78.194.0/26240.78.194.1 to 240.78.194.62240.78.194.6362
10240.78.194.64/26240.78.194.65 to 240.78.194.126240.78.194.12762
11240.78.194.128/26240.78.194.129 to 240.78.194.190240.78.194.19162
12240.78.194.192/26240.78.194.193 to 240.78.194.254240.78.194.25562
13240.78.195.0/26240.78.195.1 to 240.78.195.62240.78.195.6362
14240.78.195.64/26240.78.195.65 to 240.78.195.126240.78.195.12762
15240.78.195.128/26240.78.195.129 to 240.78.195.190240.78.195.19162
16240.78.195.192/26240.78.195.193 to 240.78.195.254240.78.195.25562
17240.78.196.0/26240.78.196.1 to 240.78.196.62240.78.196.6362
18240.78.196.64/26240.78.196.65 to 240.78.196.126240.78.196.12762
19240.78.196.128/26240.78.196.129 to 240.78.196.190240.78.196.19162
20240.78.196.192/26240.78.196.193 to 240.78.196.254240.78.196.25562
21240.78.197.0/26240.78.197.1 to 240.78.197.62240.78.197.6362
22240.78.197.64/26240.78.197.65 to 240.78.197.126240.78.197.12762
23240.78.197.128/26240.78.197.129 to 240.78.197.190240.78.197.19162
24240.78.197.192/26240.78.197.193 to 240.78.197.254240.78.197.25562
25240.78.198.0/26240.78.198.1 to 240.78.198.62240.78.198.6362
26240.78.198.64/26240.78.198.65 to 240.78.198.126240.78.198.12762
27240.78.198.128/26240.78.198.129 to 240.78.198.190240.78.198.19162
28240.78.198.192/26240.78.198.193 to 240.78.198.254240.78.198.25562
29240.78.199.0/26240.78.199.1 to 240.78.199.62240.78.199.6362
30240.78.199.64/26240.78.199.65 to 240.78.199.126240.78.199.12762
31240.78.199.128/26240.78.199.129 to 240.78.199.190240.78.199.19162
32240.78.199.192/26240.78.199.193 to 240.78.199.254240.78.199.25562
33240.78.200.0/26240.78.200.1 to 240.78.200.62240.78.200.6362
34240.78.200.64/26240.78.200.65 to 240.78.200.126240.78.200.12762
35240.78.200.128/26240.78.200.129 to 240.78.200.190240.78.200.19162
36240.78.200.192/26240.78.200.193 to 240.78.200.254240.78.200.25562
37240.78.201.0/26240.78.201.1 to 240.78.201.62240.78.201.6362
38240.78.201.64/26240.78.201.65 to 240.78.201.126240.78.201.12762
39240.78.201.128/26240.78.201.129 to 240.78.201.190240.78.201.19162
40240.78.201.192/26240.78.201.193 to 240.78.201.254240.78.201.25562
41240.78.202.0/26240.78.202.1 to 240.78.202.62240.78.202.6362
42240.78.202.64/26240.78.202.65 to 240.78.202.126240.78.202.12762
43240.78.202.128/26240.78.202.129 to 240.78.202.190240.78.202.19162
44240.78.202.192/26240.78.202.193 to 240.78.202.254240.78.202.25562
45240.78.203.0/26240.78.203.1 to 240.78.203.62240.78.203.6362
46240.78.203.64/26240.78.203.65 to 240.78.203.126240.78.203.12762
47240.78.203.128/26240.78.203.129 to 240.78.203.190240.78.203.19162
48240.78.203.192/26240.78.203.193 to 240.78.203.254240.78.203.25562
49240.78.204.0/26240.78.204.1 to 240.78.204.62240.78.204.6362
50240.78.204.64/26240.78.204.65 to 240.78.204.126240.78.204.12762
51240.78.204.128/26240.78.204.129 to 240.78.204.190240.78.204.19162
52240.78.204.192/26240.78.204.193 to 240.78.204.254240.78.204.25562
53240.78.205.0/26240.78.205.1 to 240.78.205.62240.78.205.6362
54240.78.205.64/26240.78.205.65 to 240.78.205.126240.78.205.12762
55240.78.205.128/26240.78.205.129 to 240.78.205.190240.78.205.19162
56240.78.205.192/26240.78.205.193 to 240.78.205.254240.78.205.25562
57240.78.206.0/26240.78.206.1 to 240.78.206.62240.78.206.6362
58240.78.206.64/26240.78.206.65 to 240.78.206.126240.78.206.12762
59240.78.206.128/26240.78.206.129 to 240.78.206.190240.78.206.19162
60240.78.206.192/26240.78.206.193 to 240.78.206.254240.78.206.25562
61240.78.207.0/26240.78.207.1 to 240.78.207.62240.78.207.6362
62240.78.207.64/26240.78.207.65 to 240.78.207.126240.78.207.12762
63240.78.207.128/26240.78.207.129 to 240.78.207.190240.78.207.19162
64240.78.207.192/26240.78.207.193 to 240.78.207.254240.78.207.25562
65240.78.208.0/26240.78.208.1 to 240.78.208.62240.78.208.6362
66240.78.208.64/26240.78.208.65 to 240.78.208.126240.78.208.12762
67240.78.208.128/26240.78.208.129 to 240.78.208.190240.78.208.19162
68240.78.208.192/26240.78.208.193 to 240.78.208.254240.78.208.25562
69240.78.209.0/26240.78.209.1 to 240.78.209.62240.78.209.6362
70240.78.209.64/26240.78.209.65 to 240.78.209.126240.78.209.12762
71240.78.209.128/26240.78.209.129 to 240.78.209.190240.78.209.19162
72240.78.209.192/26240.78.209.193 to 240.78.209.254240.78.209.25562
73240.78.210.0/26240.78.210.1 to 240.78.210.62240.78.210.6362
74240.78.210.64/26240.78.210.65 to 240.78.210.126240.78.210.12762
75240.78.210.128/26240.78.210.129 to 240.78.210.190240.78.210.19162
76240.78.210.192/26240.78.210.193 to 240.78.210.254240.78.210.25562
77240.78.211.0/26240.78.211.1 to 240.78.211.62240.78.211.6362
78240.78.211.64/26240.78.211.65 to 240.78.211.126240.78.211.12762
79240.78.211.128/26240.78.211.129 to 240.78.211.190240.78.211.19162
80240.78.211.192/26240.78.211.193 to 240.78.211.254240.78.211.25562
81240.78.212.0/26240.78.212.1 to 240.78.212.62240.78.212.6362
82240.78.212.64/26240.78.212.65 to 240.78.212.126240.78.212.12762
83240.78.212.128/26240.78.212.129 to 240.78.212.190240.78.212.19162
84240.78.212.192/26240.78.212.193 to 240.78.212.254240.78.212.25562
85240.78.213.0/26240.78.213.1 to 240.78.213.62240.78.213.6362
86240.78.213.64/26240.78.213.65 to 240.78.213.126240.78.213.12762
87240.78.213.128/26240.78.213.129 to 240.78.213.190240.78.213.19162
88240.78.213.192/26240.78.213.193 to 240.78.213.254240.78.213.25562
89240.78.214.0/26240.78.214.1 to 240.78.214.62240.78.214.6362
90240.78.214.64/26240.78.214.65 to 240.78.214.126240.78.214.12762
91240.78.214.128/26240.78.214.129 to 240.78.214.190240.78.214.19162
92240.78.214.192/26240.78.214.193 to 240.78.214.254240.78.214.25562
93240.78.215.0/26240.78.215.1 to 240.78.215.62240.78.215.6362
94240.78.215.64/26240.78.215.65 to 240.78.215.126240.78.215.12762
95240.78.215.128/26240.78.215.129 to 240.78.215.190240.78.215.19162
96240.78.215.192/26240.78.215.193 to 240.78.215.254240.78.215.25562
97240.78.216.0/26240.78.216.1 to 240.78.216.62240.78.216.6362
98240.78.216.64/26240.78.216.65 to 240.78.216.126240.78.216.12762
99240.78.216.128/26240.78.216.129 to 240.78.216.190240.78.216.19162
100240.78.216.192/26240.78.216.193 to 240.78.216.254240.78.216.25562
101240.78.217.0/26240.78.217.1 to 240.78.217.62240.78.217.6362
102240.78.217.64/26240.78.217.65 to 240.78.217.126240.78.217.12762
103240.78.217.128/26240.78.217.129 to 240.78.217.190240.78.217.19162
104240.78.217.192/26240.78.217.193 to 240.78.217.254240.78.217.25562
105240.78.218.0/26240.78.218.1 to 240.78.218.62240.78.218.6362
106240.78.218.64/26240.78.218.65 to 240.78.218.126240.78.218.12762
107240.78.218.128/26240.78.218.129 to 240.78.218.190240.78.218.19162
108240.78.218.192/26240.78.218.193 to 240.78.218.254240.78.218.25562
109240.78.219.0/26240.78.219.1 to 240.78.219.62240.78.219.6362
110240.78.219.64/26240.78.219.65 to 240.78.219.126240.78.219.12762
111240.78.219.128/26240.78.219.129 to 240.78.219.190240.78.219.19162
112240.78.219.192/26240.78.219.193 to 240.78.219.254240.78.219.25562
113240.78.220.0/26240.78.220.1 to 240.78.220.62240.78.220.6362
114240.78.220.64/26240.78.220.65 to 240.78.220.126240.78.220.12762
115240.78.220.128/26240.78.220.129 to 240.78.220.190240.78.220.19162
116240.78.220.192/26240.78.220.193 to 240.78.220.254240.78.220.25562
117240.78.221.0/26240.78.221.1 to 240.78.221.62240.78.221.6362
118240.78.221.64/26240.78.221.65 to 240.78.221.126240.78.221.12762
119240.78.221.128/26240.78.221.129 to 240.78.221.190240.78.221.19162
120240.78.221.192/26240.78.221.193 to 240.78.221.254240.78.221.25562
121240.78.222.0/26240.78.222.1 to 240.78.222.62240.78.222.6362
122240.78.222.64/26240.78.222.65 to 240.78.222.126240.78.222.12762
123240.78.222.128/26240.78.222.129 to 240.78.222.190240.78.222.19162
124240.78.222.192/26240.78.222.193 to 240.78.222.254240.78.222.25562
125240.78.223.0/26240.78.223.1 to 240.78.223.62240.78.223.6362
126240.78.223.64/26240.78.223.65 to 240.78.223.126240.78.223.12762
127240.78.223.128/26240.78.223.129 to 240.78.223.190240.78.223.19162
128240.78.223.192/26240.78.223.193 to 240.78.223.254240.78.223.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses